[CentOS-devel] CentOS/RHEL 5.3

seth vidal skvidal at fedoraproject.org
Fri Jan 16 18:23:26 UTC 2009


On Fri, 2009-01-16 at 19:16 +0100, Alain PORTAL wrote:
> Le vendredi 16 janvier 2009, seth vidal a écrit :
> > On Fri, 2009-01-16 at 18:59 +0100, Alain PORTAL wrote:
> > >
> > > Are you really sure about that?
> >
> > I am.
> >
> > :)
> 
> OK. If you say it, I trust you ;-)
> I thought an upgrade was needed.
> 

a long time ago that was potentially true.

the difference between yum update and yum upgrade was whether or not
obsoletes were processed. In an upgrade they were, in an update they
defaulted to not. This was necessary in a world where mutually
obsoleting pkgs were allowed. Since about rhel4 and beyond no one has
been letting a distro out the door with mutually obsoleting pkgs. So it
was not longer a big deal.

obsoletes=1 is now the yum default.

Hope that helps.
-sv




More information about the CentOS-devel mailing list